/*
	Bot descriptor by Catid@pacbell.net
*/

#ifndef BOTINFO_H
#define BOTINFO_H

#include "datatypes.h"
struct BOT_DATABASE;

struct BOT_INFO
{
	// Login
	String name;
	String password;
	String staffpw;
	Uint32 ip;
	Uint16 port;

	// Spawn
	String dllName;

	// Database
	BOT_DATABASE *db;
	Uint32 maxSpawns;

	// Ban
	Uint32 machineID;
	Uint16 timeZoneBias;
	Uint32 permissionID;

	// Registration form
	String realName;
	String email;
	String city;
	String state;
	enum RegForm_Sex sex;
	BYTE age;
	bool playAtHome;
	bool playAtWork;
	bool playAtSchool;
	Uint32 processor;
	String regName;
	String regOrg;

	// Arena
	enum Ship_Types initialShip;
	String initialArena;
	Uint16 xres;
	Uint16 yres;
	bool allowAudio;

	BOT_INFO();
	BOT_INFO(BOT_INFO &a);
	void operator=(BOT_INFO &a);

	void set(BOT_INFO &a);

	void resetSystemInfo();

	void setLogin(char *nname,
				  char *ppassword,
				  char *sstaffpw);

	void setZone(Uint32 iip,
				 Uint16 pport);

	void setSpawn(char *ddllName);

	void setDatabase(BOT_DATABASE *ddb,
					 Uint32 mmaxSpawns);

	void setArena(char *iinitialArena,
				  Ship_Types iinitialShip,
				  Uint16 xxres,
				  Uint16 yyres,
				  bool aallowAudio);

	void setBan(Uint32 mmachineID,
				Uint16 ttimeZoneBias,
				Uint32 ppermissionID,
				Uint32 pprocessor,
				char *rregName,
				char *rregOrg);

	void maskBan();

	void setReg(char *rrealName,
				char *eemail,
				char *ccity,
				char *sstate,
				RegForm_Sex ssex,
				BYTE aage,
				bool pplayAtHome,
				bool pplayAtWork,
				bool pplayAtSchool);
};

#endif	// BOTINFO_H
